%global momorel 6
%global qtver 4.6.2

Summary: Qt front-end to Cscope
Name: kscope
Version: 1.9.4
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: Development/Tools
URL: http://kscope.sourceforge.net/
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
NoSource: 0
Source1: %{name}.desktop
Patch0: %{name}-%{version}-link.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: cscope
Requires: ctags
Requires: graphviz
BuildRequires: qt-devel >= %{qtver}
BuildRequires: bison-devel
BuildRequires: desktop-file-utils
BuildRequires: flex
BuildRequires: gettext
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: sed
BuildRequires: qscintilla-devel

%description
KScope is a Qt front-end to Cscope. It provides a source-editing 
environment for large C projects, such as the Linux kernel.

KScope is by no means intended to be a replacement to any of the leading 
Linux/KDE IDEs, such as KDevelop. First of all, it is not an Integrated 
Development Environment: it does not provide the usual write/compile/debug 
cycle supported by most IDE's. Instead, KScope is focused on source 
editing and analysis.

%package devel
Summary: Development files for kscope
Group: Development/Tools
Requires: %{name} = %{version}-%{release}

%description devel
Development files for kscope.

%prep
%setup -q
%patch0 -p1 -b .link

sed -i 's|/usr/local|%{buildroot}%{_prefix}|g' config
for i in app/app.pro core/core.pro cscope/cscope.pro editor/editor.pro; do
	sed -i 's|/lib|/%{_lib}|g' $i
done

%build
qmake-qt4

# make -j8 fails (kscope-1.9.4-1m)
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install icon
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
install -m 644 app/images/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/32x32/apps/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

# install desktop file
desktop-file-install --vendor= \
  --dir %{buildroot}%{_datadir}/applications \
  %{SOURCE1}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc COPYING ChangeLog INSTALL
%{_bindir}/%{name}app
%{_libdir}/lib%{name}_core.so.*
%{_libdir}/lib%{name}_cscope.so.*
%{_libdir}/lib%{name}_editor.so.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/*/*/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png

%files devel
%defattr(-, root, root)
%{_libdir}/lib%{name}_core.so
%{_libdir}/lib%{name}_cscope.so
%{_libdir}/lib%{name}_editor.so

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.4-6m)
- full rebuild for mo7 release

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.9.4-5m)
- rebuild against qt-4.6.3-1m

* Sun May  2 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.9.4-4m)
- fix build with gcc-4.4.4

* Fri Apr 23 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.9.4-3m)
- touch up spec file

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.9.4-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Fri May 15 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.9.4-1m)
- version 1.9.4
- add a package kscope-devel
- good-bye KDE3

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.6.1-3m)
- rebuild against rpm-4.6

* Fri May 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.1-2m)
- add DocPath to desktop file

* Fri May 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.1-1m)
- initial package for Momonga Linux
